Home

# Class goog.demos.editor.HelloWorldDialog

Creates a dialog to let the user enter a customized hello world message.

extends goog.ui.editor.AbstractDialog

Instance Method Summary
| `createContent_() ⇒ ?Element` Creates the DOM structure that makes up the dialog's content area.
| `createDialogControl() ⇒ ?goog.ui.Dialog` Creates and returns the goog.ui.Dialog control that is being wrapped by this object.
| `createOkEvent(?goog.events.Event e) ⇒ ?goog.events.Event` Creates and returns the event object to be used when dispatching the OK event to listeners, or returns null to prevent the dialog from closing.
| `getMessage_() ⇒ ?string` Returns the hello world message currently typed into the dialog's input.

Static Method Summary
| `isValidHelloWorld_(string message) ⇒ boolean` Returns whether or not the given message contains the strings "hello" and "world". Case-insensitive and order doesn't matter.